Package ch.qos.logback.core.joran.util.beans

## Class BeanDescription

- java.lang.Object
- - ch.qos.logback.core.joran.util.beans.BeanDescription

    public class BeanDescription
    extends java.lang.Object

Lightweight pendant to the java.beans.BeanInfo class. An instance of this class encapsulates the properties of a certain class. The properties are the public setters and getters. In addition the 'add-er'-methods are included, which are the public methods which start with the prefix 'add'.

Author:
  urechm

### Constructor Summary

Constructors

`protected`

`BeanDescription​(java.lang.Class<?> clazz, java.util.Map<java.lang.String,​java.lang.reflect.Method> propertyNameToGetter, java.util.Map<java.lang.String,​java.lang.reflect.Method> propertyNameToSetter, java.util.Map<java.lang.String,​java.lang.reflect.Method> propertyNameToAdder)`

Scope protected since only the `BeanDescriptionFactory` must create BeanDescriptions in order to guarantee consistency between the given parameters.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.reflect.Method` `getAdder​(java.lang.String propertyName)`
`java.lang.Class<?>` `getClazz()`
`java.lang.reflect.Method` `getGetter​(java.lang.String propertyName)`
`java.util.Map<java.lang.String,​java.lang.reflect.Method>` `getPropertyNameToAdder()`
`java.util.Map<java.lang.String,​java.lang.reflect.Method>` `getPropertyNameToGetter()`
`java.util.Map<java.lang.String,​java.lang.reflect.Method>` `getPropertyNameToSetter()`
`java.lang.reflect.Method` `getSetter​(java.lang.String propertyName)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BeanDescription

    protected BeanDescription​(java.lang.Class<?> clazz,
                              java.util.Map<java.lang.String,​java.lang.reflect.Method> propertyNameToGetter,
                              java.util.Map<java.lang.String,​java.lang.reflect.Method> propertyNameToSetter,
                              java.util.Map<java.lang.String,​java.lang.reflect.Method> propertyNameToAdder)

Scope protected since only the `BeanDescriptionFactory` must create BeanDescriptions in order to guarantee consistency between the given parameters.

Parameters:
  `clazz` - of the bean.
  `propertyNameToGetter` - map of property names to the associated getter.
  `propertyNameToSetter` - map of property names to the associated setter.
  `propertyNameToAdder` - map of property names to the associated adder.

### Method Detail

#### getClazz

    public java.lang.Class<?> getClazz()

#### getPropertyNameToGetter

    public java.util.Map<java.lang.String,​java.lang.reflect.Method> getPropertyNameToGetter()

#### getPropertyNameToSetter

    public java.util.Map<java.lang.String,​java.lang.reflect.Method> getPropertyNameToSetter()

#### getGetter

    public java.lang.reflect.Method getGetter​(java.lang.String propertyName)

#### getSetter

    public java.lang.reflect.Method getSetter​(java.lang.String propertyName)

#### getPropertyNameToAdder

    public java.util.Map<java.lang.String,​java.lang.reflect.Method> getPropertyNameToAdder()

#### getAdder

    public java.lang.reflect.Method getAdder​(java.lang.String propertyName)